Bug 1419311 - dnf update hung forever
Summary: dnf update hung forever
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 25
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-05 09:01 UTC by pjhavariotis
Modified: 2017-02-06 13:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-06 13:41:22 UTC
Type: Bug


Attachments (Terms of Use)
dnf command (197.51 KB, image/png)
2017-02-05 09:01 UTC, pjhavariotis
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1246631 0 low CLOSED [RFE] Support RPMCALLBACK_SCRIPT_{START,STOP,ERROR} 2021-02-22 00:41:40 UTC

Internal Links: 1246631

Description pjhavariotis 2017-02-05 09:01:52 UTC
Created attachment 1247789 [details]
dnf command

Description of problem:
I tried to update my system packages by using the command "dnf update --refresh".
Unfortunately, the whole process has been frozen on the "Upgrading" step and never completes (see attachment).

Version-Release number of selected component (if applicable):
I am using the latest version of dnf.

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 pjhavariotis 2017-02-05 09:11:18 UTC
Version-Release number of related components:

dnf-1.1.10-5.fc25.noarch
rpm-4.13.0-6.fc25.x86_64
yum-3.4.3-510.fc25.noarch

Comment 2 Honza Silhan 2017-02-06 13:41:22 UTC
Part of bug 1246631 will be to notify users about execution of scriplets.

I am sorry but DNF can't do much when package scriplet is executed in rpm transaction and the command hangs.


Note You need to log in before you can comment on or make changes to this bug.